from setuptools import setup
import os
from glob import glob

package_name = 'active_bo_ros'

setup(
    name=package_name,
    version='0.0.0',
    packages=[package_name,
              package_name + '/PolicyModel',
              package_name + '/ReinforcementLearning',
              package_name + '/AcquisitionFunctions',
              package_name + '/BayesianOptimization'],
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        (os.path.join('share', package_name), glob('launch/*.launch.py')),
    ],
    install_requires=['setuptools', 'gym', 'numpy'],
    zip_safe=True,
    maintainer='cpsfeith',
    maintainer_email='nikolaus.feith@unileoben.ac.at',
    description='TODO: Package description',
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'policy_srv = active_bo_ros.policy_service:main',
            'rl_srv = active_bo_ros.rl_service:main',
            'bo_srv = active_bo_ros.bo_service:main',
            'active_bo_srv = active_bo_ros.active_bo_service:main',
            'active_rl_srv = active_bo_ros.active_rl_service:main',
        ],
    },
)
